Page MenuHomePhabricator

Disable editing in VisualEditor when the user is blocked
Closed, ResolvedPublic

Description

(I'm not sure how actionable this is. Something to ponder in your copious free time.)

Today I had a reason to look into how things behave for you when you're blocked.

VisualEditor immediately shows a notice with the usual block message, which is nice. (Also when you're GlobalBlocked, which is very nice and nicer even than, say, Special:Upload.) But:

  • The message is somewhat inconspicuous, I guess. A lot less "in your face" than core one. I understand if this is by design, but…
  • Nothing prevents you from wasting your time trying to edit the page. With the wikitext editor you're given a read-only textarea and no way to try saving the page. With VE, you can edit to your heart's content and you have a seemingly working "Save" button.
  • When you try that, you get a very blunt and non-translated error message (taken directly from API output). If VE lets a blocked user get to this stage, it should handle the error better. It already has the full message (as displayed in the notice), maybe it could display that? If you stick to just showing the raw error, please display not just the message (.error.info) but also the error code (.error.code).

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.Sep 2 2015, 5:03 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 2 2015, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Thoughts about VisualEditor interface when the user is blocked to Consider interface options for VisualEditor when the user is blocked.Sep 2 2015, 9:26 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: Design.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
WTM added a subscriber: WTM.Sep 30 2015, 3:29 PM

Change 511047 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Check if page is really editable and call #setReadOnly accordingly

https://gerrit.wikimedia.org/r/511047

Change 511047 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Check if page is really editable and call #setReadOnly accordingly

https://gerrit.wikimedia.org/r/511047

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jun 12 2019, 4:13 PM
Esanders renamed this task from Consider interface options for VisualEditor when the user is blocked to Disable editing in VisualEditor when the user is blocked.Jun 12 2019, 4:22 PM
marcella edited projects, added Skipped QA; removed Editing QA.Jul 24 2019, 5:17 PM
marcella moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 2 2019, 11:51 PM
ppelberg claimed this task.
ppelberg added a subscriber: ppelberg.

Good spot, @matmarex.